<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Purchase Invoice</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form
                        action="<?php echo e(route('crusher.purchase_invoices.update', ['purchase_invoice' => $purchaseInvoices[0]->id])); ?>"
                        class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Purchase Invoice #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        value="<?php echo e($purchaseInvoices[0]->invoice_no); ?>" name="invoice_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Mode/Term of Payment</label>
                                    <input class="form-control<?php echo e($errors->has('term_of_payment') ? ' is-invalid' : ''); ?>"
                                        type="text" placeholder="Enter Mode/Term of Payment" id="example-password-input"
                                        name="term_of_payment" value="<?php echo e($purchaseInvoices[0]->term_of_payment); ?>">
                                    <?php if($errors->has('term_of_payment')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('term_of_payment')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input name="date" class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        value="<?php echo e($purchaseInvoices[0]->date); ?>">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>LPO Number(Client)</label>
                                    <input class="form-control<?php echo e($errors->has('lpo_no') ? ' is-invalid' : ''); ?>"
                                        type="text" placeholder="Enter LPO Number" id="example-password-input"
                                        name="lpo_no" value="<?php echo e($purchaseInvoices[0]->lpo_no); ?>">
                                    <?php if($errors->has('lpo_no')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('lpo_no')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">
                                <label for="name">Purchase Order #</label>
                                <div class="form-group">
                                    <input class="form-control" readonly placeholder="Purchase Order #"
                                        id="example-password-input" value="<?php echo e(request()->po_no ?? ''); ?>"
                                         name="po_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>LPO(DUE DAYS)</label>
                                    <input class="form-control<?php echo e($errors->has('lpo_days') ? ' is-invalid' : ''); ?>"
                                        type="text" placeholder="Enter LPO(DUE DAYS)" id="example-password-input"
                                        name="lpo_days" value="<?php echo e($purchaseInvoices[0]->lpo_days); ?>">
                                    <?php if($errors->has('lpo_days')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('lpo_days')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">

                            </div>

                            <div class="col-md-6">

                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="account">Account Name:</label>
                                    <select id="account" class="form-control select2" name="account_id">
                                        <option value="" selected disabled>Select Account</option>

                                        
                                        <?php $__empty_1 = true; $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <option value="<?php echo e($account->id); ?>"
                                                <?php echo e($purchaseInvoices[0]->account_id == $account->id ? 'selected' : ''); ?>

                                                data-account-type="<?php echo e($account->table_name); ?>">
                                                <?php echo e($account->account_name); ?>


                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <option value="" selected disabled>No accounts available</option>
                                        <?php endif; ?>
                                    </select>
                                    <input type="hidden" name="account_type" id="account_type">
                                    <?php $__errorArgs = ['account_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Item Name</th>
                                            <th>Item Description</th>
                                            <th>Warehouse</th>
                                            <th>Quantity</th>
                                            <th>Rate / Unit</th>
                                            <th>Gross Amount</th>
                                            <th>VAT %</th>
                                            <th>VAT Amount</th>
                                            <th>Net Amount</th>
                                            <th>C&F <span id="total-expense-th"></span></th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <?php $__empty_1 = true; $__currentLoopData = $purchaseInvoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pi): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="item_id[]">
                                                                    <option value="" selected disabled>Select Item
                                                                    </option>
                                                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($item->id); ?>"
                                                                            <?php echo e($pi->item_id == $item->id ? 'selected' : ''); ?>>
                                                                            <?php echo e($item->name); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <textarea class="form-control" rows="1" type="text" placeholder="Item Description"
                                                                    id="example-textarea-input" name="item_description[]"><?php echo e($pi->item_description); ?>

                                                            </textarea>
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectWarehouse select2"
                                                                    name="warehouse_id[]">
                                                                    <option value="" selected disabled>Select
                                                                        Warehouse
                                                                    </option>
                                                                    <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehouse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($warehouse->id); ?>"
                                                                            <?php echo e($pi->warehouse_id == $warehouse->id ? 'selected' : ''); ?>>
                                                                            <?php echo e($warehouse->name); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control quantity" type="text"
                                                                    oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="Quantity" id="quantity"
                                                                    name="quantity[]" value="<?php echo e($pi->quantity); ?>">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control rate_unit" type="text"
                                                                    oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="Rate/Unit" id="rate_unit"
                                                                    name="rate_unit[]" value="<?php echo e($pi->rate_unit); ?>">
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>

                                                <td>
                                                    <div class="form-group">
                                                        <input class="form-control gross_amount" type="text"
                                                            oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                            placeholder="Gross Amount" id="gross_amount"
                                                            name="gross_amount[]" value="<?php echo e($pi->gross_amount); ?>">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <input class="form-control vat_percentage" type="text"
                                                            oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                            placeholder="VAT %" id="vat_percentage"
                                                            name="vat_percentage[]" value="<?php echo e($pi->vat_percentage); ?>">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <input class="form-control vat_amount" type="text"
                                                            oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                            placeholder="VAT Amount" id="vat_amount" name="vat_amount[]"
                                                            value="<?php echo e($pi->vat_amount); ?>">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <p><input type="text"
                                                                oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                class="form-control net_amount" id="net_amount"
                                                                name="net_amount[]" value="<?php echo e($pi->net_amount); ?>"
                                                                readonly></p>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <p><input type="text" class="form-control total-expense"
                                                                name="c_f[]" value="<?php echo e($pi->c_f); ?>" readonly>
                                                        </p>
                                                    </div>
                                                </td>
                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>

                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <a id="add-more-btn" class="btn btn-outline-primary">Add
                                    more</a>
                            </div>
                            <div class="col-md-4">
                                <!-- <h5>QTY Total: 0</h5> -->
                            </div>
                        </div>
                        <br>

                        <br>

                        <div class="row">
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Quantity : </label>
                                    <span><input type="text" class="custin" id="total_quantity" name="total_quantity"
                                            value="<?php echo e($purchaseInvoices[0]->total_quantity); ?>" readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Gross Amount : </label>
                                    <span><input type="text" class="custin" id="total_gross_amount"
                                            name="total_gross_amount"
                                            value="<?php echo e($purchaseInvoices[0]->total_gross_amount); ?>" readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Vat amount : </label>
                                    <span><input type="text" class="custin" id="total_vat_amount"
                                            name="total_vat_amount" value="<?php echo e($purchaseInvoices[0]->total_vat_amount); ?>"
                                            readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total net amount : </label>
                                    <span><input type="text" class="custin" id="total_net_amount"
                                            name="total_net_amount" value="<?php echo e($purchaseInvoices[0]->total_net_amount); ?>"
                                            readonly></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">

                                <div data-repeater-list="group-a" >
                                    <div data-repeater-item class="row">
                                        <div class="form-group col-md-6">
                                            <input type="checkbox" id="new-vat-amount-check" name="new_vat_amount_check">
                                            <label for="">Vat Amount</label>
                                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Vat Amount"
                                                id="new-vat-amount" name="new_vat_amount" value="<?php echo e($purchaseInvoices[0]->new_vat_amount); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div data-repeater-list="group-a" >
                                    <div data-repeater-item class="row">
                                        <div class="form-group col-md-6">
                                            <input type="checkbox" id="discount-check" name="discount_amount_check">
                                            <label for="">Discount</label>
                                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Discount Amount"
                                                id="discount-amount" name="discount_amount" value="<?php echo e($purchaseInvoices[0]->discount_amount); ?>">
                                        </div>
                                    </div>
                                </div>

                                <input type="checkbox" id="ledger-check">
                                <label for="">Ledger</label>
                                <div id="show-ledger">
                                    <div data-repeater-list="group-a" class="repeater-container">
                                        <?php $__empty_1 = true; $__currentLoopData = $purchaseInvoices[0]->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <div data-repeater-item class="row repeater-row">

                                                <div class="form-group col-md-5">
                                                    <select class="form-control select2 expense" name="expense_id[]">
                                                        <option value="" selected disabled selected>Select Account
                                                        </option>
                                                        <?php $__currentLoopData = $expensesAccount; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expenseOption): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($expenseOption->id); ?>"
                                                                <?php echo e($expense->expense_id == $expenseOption->id ? 'selected' : ''); ?>

                                                                data-expense-type="<?php echo e($expenseOption->table_name); ?>">
                                                                <?php echo e($expenseOption->account_name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                    <input type="hidden" name="expense_type[]" class="expense-type">
                                                </div>
                                                <div class="form-group col-md-5">
                                                    <input class="form-control sub_account_amount" type="text"
                                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="Enter Amount" id="sub_account_amount"
                                                        name="expense_amount[]" value="<?php echo e($expense->expense_amount); ?>">
                                                </div>
                                                <div class="align-self-center col-md-2">
                                                    <i data-repeater-delete class="fas fa-trash-alt inner delicon3"
                                                        onclick="deleteRow(this)"></i>
                                                </div>


                                                <?php if($key === 0): ?>
                                                    <div class="form-group col-lg-5">
                                                        <input data-repeater-create type="button"
                                                            class="btn btn-outline-primary" value="Add Ledger"
                                                            id="addLedgerButton" />
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <div data-repeater-item class="row repeater-row">

                                                <div class="form-group col-md-5">
                                                    <select class="form-control expense" name="expense_id[]">
                                                        <option value="" selected disabled>Select Account
                                                        </option>
                                                        <?php $__currentLoopData = $expensesAccount; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expenseOption): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($expenseOption->id); ?>"
                                                                data-expense-type="<?php echo e($expenseOption->table_name); ?>">
                                                                <?php echo e($expenseOption->account_name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                    <input type="hidden" name="expense_type[]" class="expense-type">
                                                </div>
                                                <div class="form-group col-md-5">
                                                    <input class="form-control sub_account_amount" type="text"
                                                        oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                        placeholder="Enter Amount" id="sub_account_amount"
                                                        name="expense_amount[]" value="">
                                                </div>
                                                <div class="align-self-center col-md-2">
                                                    <i data-repeater-delete class="fas fa-trash-alt inner delicon3"
                                                        onclick="deleteRow(this)"></i>
                                                </div>
                                                <div class="form-group col-lg-5">
                                                    <input data-repeater-create type="button" class="btn btn-outline-primary"
                                                        value="Add Ledger" id="addLedgerButton" />
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                            </div>


                            <div class="col-md-8">
                            </div>
                            <br>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Purchase amount with c&f : </label>
                                    <span><input type="text" class="custin" id="total-purchase-amount"
                                            name="total_purchase_amount" readonly></span>
                                </strong>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-4">
                                        <strong>
                                            <label for="total_net_amount_words">Amount in Words :</label>
                                        </strong>
                                    </div>
                                    <div class="col-8">
                                        <input type="text" class="custin" id="total_net_amount_words"
                                            name="amount_in_words" readonly style="width: 120%;margin-left: -3.5rem;">
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Term & Conditions</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="narrations">Narrations</label>
                                    <textarea class="form-control<?php echo e($errors->has('narrations') ? ' is-invalid' : ''); ?>" rows="4"
                                        placeholder="Enter Narrations" id="example-textarea-input" name="narrations">
                                            <?php echo e($purchaseInvoices[0]->narrations); ?>

                                        </textarea>
                                    <?php if($errors->has('narrations')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('narrations')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>


                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Update Purchase Invoice</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mt-0" id="myModalLabel">Byer Information :</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name :</label>
                            <input class="form-control" type="text" placeholder="Enter Name"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Phone # :</label>
                            <input class="form-control" type="text"
                                oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Email :</label>
                            <input class="form-control" type="text" placeholder="Enter Email"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address :</label>
                            <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                id="example-textarea-input">
                    </textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary waves-effect waves-light">Save</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>
<script>
      $(document).ready(function() {

        $('#new-vat-amount').hide();
        $('#new-vat-amount-check').on('click', function() {
            $('#new-vat-amount').toggle();
        });
        });
        $(document).ready(function() {
        $('#discount-amount').hide();
        $('#discount-check').on('click', function() {
            $('#discount-amount').toggle();
        });
        });
        $(document).ready(function() {
        $('#show-ledger').hide();
        $('#ledger-check').on('click', function() {
            $('#show-ledger').toggle();
        });
        });
</script>
    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "hide") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

  
  <script>
    $(document).ready(function() {

        function calculateRow(row) {
        var quantity = parseFloat(row.find('.quantity').val()) || 0;
        var rateUnit = parseFloat(row.find('.rate_unit').val()) || 0;
        var vatPercentage = parseFloat(row.find('.vat_percentage').val()) || 0;

        var grossAmount = quantity * rateUnit;
        var vatAmount = grossAmount * (vatPercentage / 100);
        var netAmount = grossAmount + vatAmount;

        row.find('.gross_amount').val(grossAmount.toFixed(
            <?php echo e(session()->get('branch')->currency_decimal); ?>

        ));
        row.find('.vat_amount').val(vatAmount.toFixed(
            <?php echo e(session()->get('branch')->currency_decimal); ?>

        ));
        row.find('.net_amount').val(netAmount.toFixed(
            <?php echo e(session()->get('branch')->currency_decimal); ?>

        ));

        $('#new-vat-amount').on('input', function() {
    // Get the new VAT amount
    var newVatAmount = parseFloat($(this).val()) || 0;

    // Set the VAT percentage to 0
    $('.vat_percentage').val(0);

    // Clear VAT percentage from other places
    $('.vat_percentage').val(0); // You might need to adjust the selector if there are multiple elements with class '.vat_percentage'

    // Loop through each row and update the calculated values
    $('#table-body tr').each(function() {
        calculateRow($(this));
    });

    // Clear VAT percentage from total_vat_amount and total_net_amount
    var totalVatAmount = calculateTotalVatAmount(); // Recalculate the total VAT amount
    var totalNetAmount = calculateTotalNetAmount(); // Recalculate the total net amount

    // Update the total VAT amount and total net amount fields
    $('#total_vat_amount').val(totalVatAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
    $('#total_net_amount').val(totalNetAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));

    // You may update other fields or perform additional actions as needed
     });
    }

            // To update the calculated values for all rows initially, you can call the function for each row:
    $('#table-body tr').each(function() {
        calculateRow($(this));
    });
    // Set the initial value for .total-expense to '0.00'
    $('.total-expense').val('0.00');
            // Update the calculated values for the all rows

        // Function to calculate and update the Total Expense for a specific row
        function calculateTotalExpense(row, totalSubAccountAmount) {
            var grossAmount = parseFloat(row.find('.gross_amount').val()) || 0;
            var totalNetAmount = parseFloat($('#total_net_amount').val()) || 0;
            var quantity = parseFloat(row.find('.quantity').val()) || 0;
            var totalSubAccountAmount = calculateTotalSubAccountAmount();

            var totalExpense = (grossAmount / totalNetAmount) * totalSubAccountAmount / quantity;
            // console.log(grossAmount, totalNetAmount, totalSubAccountAmount, quantity);

            // row.find('.total-expense').val(totalExpense.toFixed(
            //     <?php echo e(session()->get('branch')->currency_decimal); ?>

            // )); // Adjust the number of decimal places as needed


            if (!isNaN(totalExpense)) {
                row.find('.total-expense').val(totalExpense.toFixed(
                    <?php echo e(session()->get('branch')->currency_decimal); ?>

                ));
            }
        }

        // Function to calculate and update total sub account amount, including new_vat_amount
        function calculateTotalSubAccountAmount() {

            // Initialize the total sub account amount
            var cf = 0;

            // Specify the class of elements you want to consider
            var specificClass = 'sub_account_amount';

            // Loop through elements with the specific class and sum their values
            $('.' + specificClass).each(function() {
                cf += parseFloat($(this).val()) || 0;
            });

            // Consider the new_vat_amount as well
            var vatCheck = $('#new-vat-amount-check').prop('checked');
            var newVatAmount = parseFloat($('#new-vat-amount').val()) || 0;

            // Update the 'total-expense-th' value
            total = cf;
            totalExpense = total;
            $('#total-expense-th').text("(" + totalExpense +")");
            // console.log(total);

            // Loop through all elements with the class 'net_amount'
            var totalNetAmount = 0;
            $('.net_amount').each(function() {
                var inputValue = parseFloat($(this).val()) || 0;
                totalNetAmount += inputValue;
            });

            total += totalNetAmount + newVatAmount;

             // Update the 'total-purchase-amount' by summing 'total-net-amount' and 'total-sub-account-amount'
             $('#total-purchase-amount').val((total).toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(total);
            $('#total_net_amount_words').val(totalNetAmountWords);

            return cf;
        }

        // Function to calculate and update Total Expense
        function updateTotalExpense(totalSubAccountAmount) {
            $('#table-body tr').each(function() {
                calculateTotalExpense($(this));
            });
        }




        var previousDiscountAmount = 0;

        $('#discount-amount').on('input', function() {
        // Get the discount amount
        var discountAmount = parseFloat($(this).val()) || 0;

        // Get the current total net amount
        var totalNetAmount = parseFloat($('#total_net_amount').val()) || 0;

        // Get the current total purchase amount with c&f
        var totalPurchaseAmount = parseFloat($('#total-purchase-amount').val()) || 0;

        // Calculate the difference between the new discount amount and the previous discount amount
        var discountDifference = discountAmount - previousDiscountAmount;

        // Update the total net amount and total purchase amount by deducting the discount difference
        var newTotalNetAmount = totalNetAmount - discountDifference;
        var newTotalPurchaseAmount = totalPurchaseAmount - discountDifference;

        // Convert the new total net amount to words
        var totalNetAmountWords = numberToWords(newTotalPurchaseAmount);

        // Update the total net amount field with the new value
        $('#total_net_amount').val(newTotalNetAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));

        // Update the total purchase amount field with the new value
        $('#total-purchase-amount').val(newTotalPurchaseAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));

        // Update the total_net_amount_words field
        $('#total_net_amount_words').val(totalNetAmountWords);

        // Update the previous discount amount for the next change event
        previousDiscountAmount = discountAmount;
    });


        // $('#discount-amount').on('input', function() {
        //     var discountAmount = parseFloat($(this).val()) || 0;
        //     var totalNetAmount = parseFloat($('#total_net_amount').val()) || 0;
        //     var totalPurchaseAmount = parseFloat($('#total-purchase-amount').val()) || 0;
        //     var discountDifference = discountAmount - previousDiscountAmount;

        //     var newTotalNetAmount = totalNetAmount - discountDifference;
        //     var newTotalPurchaseAmount = totalPurchaseAmount - discountDifference;

        //     var totalNetAmountWords = numberToWords(newTotalPurchaseAmount);

        //     $('#total_net_amount').val(newTotalNetAmount);
        //     $('#total-purchase-amount').val(newTotalPurchaseAmount);
        //     $('#total_net_amount_words').val(totalNetAmountWords);

        //     previousDiscountAmount = discountAmount;
        // });






        // Event listener for changes in the checkbox and new_vat_amount input
        $('#new-vat-amount-check, #new-vat-amount').on('input', function() {
            // Recalculate the Total Expense when the "new_vat_amount" is updated

            // aabhi comment
            (calculateTotalSubAccountAmount());
        });


        // Calculate for existing rows (initial row and dynamically generated rows)
        $('#table-body tr').each(function() {
            calculateRow($(this));
            calculateTotalExpense($(this));
        });

        // Event delegation for dynamically added rows
        $('#table-body').on('input', '.quantity, .rate_unit, .vat_percentage', function() {
            calculateRow($(this).closest('tr'));
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            calculateTotalExpense($(this).closest('tr'));
            // convertTotalNetAmountToWords();
        });

        // Event listener for changes in sub_account_amount
        $(document).ready(function() {
            // Initial calculation when the page loads
            calculateTotalNetAmount();

            // Event listener for changes in 'sub_account_amount' inputs
            $(document).on('input', '.sub_account_amount', function() {
                calculateTotalNetAmount();
            });
        });

        $('#add-more-btn').on('click', function() {
            var newRow = `
            <tr>
                <td>
                    <div class="form-group">
                        <select class="form-control selectItem select2" name="item_id[]">
                            <option value="" selected disabled>Select Item</option>
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <textarea class="form-control item_desc" rows="1" type="text" placeholder="Item Description" name="item_description[]"></textarea>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <select class="form-control selectWarehouse select2" name="warehouse_id[]">
                            <option value="" selected disabled>Select Warehouse</option>
                            <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehouse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($warehouse->id); ?>"><?php echo e($warehouse->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity" name="quantity[]">
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Rate/Unit" name="rate_unit[]">
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Gross Amount" name="gross_amount[]">
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <input class="form-control vat_percentage" type="float" placeholder="VAT %" name="vat_percentage[]">
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <input class="form-control vat_amount" type="float" placeholder="VAT Amount" name="vat_amount[]" readonly>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <input class="form-control net_amount form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Net Amount" name="net_amount[]" readonly>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <p><input type="text" class="form-control total-expense" name=c_f[] readonly></p>
                    </div>
                </td>
                <td>
                    <a href="#" class="delete-row-btn"><i class="fas fa-trash-alt"></i></a>
                </td>
            </tr>`;

            $('#table-body').append(newRow);
            $('#table-body tr:last .select2').select2();

            // Initialize calculation for the new row
            calculateRow($('#table-body tr:last'));
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            // convertTotalNetAmountToWords();
        });


        // Event delegation for delete button
        $('#table-body').on('click', '.delete-row-btn', function() {
            $(this).closest('tr').remove();
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            // convertTotalNetAmountToWords();
        });

        // Calculate and update total quantity
        function calculateTotalQuantity() {
            var totalQuantity = 0;
            $('.quantity').each(function() {
                totalQuantity += parseFloat($(this).val()) || 0;
            });
            $('#total_quantity').val(totalQuantity);
        }
        // Calculate and update total gross amount
        function calculateTotalGross() {
            var totalGross = 0;
            $('.gross_amount').each(function() {
                totalGross += parseFloat($(this).val()) || 0;
            });
            $('#total_gross_amount').val(totalGross.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
        }
        // Calculate and update total VAT amount
        function calculateTotalVatAmount() {
            var totalVatAmount = 0;
            $('.vat_amount').each(function() {
                totalVatAmount += parseFloat($(this).val()) || 0;
            });
            $('#total_vat_amount').val(totalVatAmount.toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));
        }

        function calculateTotalNetAmount() {
            var totalSubAccountAmount = 0;
            var totalNetAmount = 0;

            // Loop through all elements with the class 'sub_account_amount'
            $('.sub_account_amount').each(function() {
                var inputValue = parseFloat($(this).val()) || 0;
                totalSubAccountAmount += inputValue;
            });

            // Loop through all elements with the class 'net_amount'
            $('.net_amount').each(function() {
                var inputValue = parseFloat($(this).val()) || 0;
                totalNetAmount += inputValue;
            });

            // Update the total net amount field
            $('#total_net_amount').val((totalNetAmount).toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));

            totalLedger = calculateTotalSubAccountAmount();


            // Update the 'total-purchase-amount' by summing 'total-net-amount' and 'total-sub-account-amount'
            $('#total-purchase-amount').val((totalLedger + totalNetAmount).toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalSubAccountAmount + totalNetAmount);
            $('#total_net_amount_words').val(totalNetAmountWords);

            // Loop through each row and recalculate Total Expense
            $('#table-body tr').each(function() {
                calculateTotalExpense($(this));
            });
        }

        // Initial calculation for total quantity and total gross
        calculateTotalQuantity();
        calculateTotalGross();
        calculateTotalVatAmount();
        calculateTotalNetAmount();
        // convertTotalNetAmountToWords();
    });
</script>

    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function (e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        document.getElementById('addLedgerButton').addEventListener('click', function() {
            cloneRow();
        });

        function cloneRow() {
            const repeaterRow = document.querySelector('.repeater-row');
            if (repeaterRow) {
                const clonedRow = repeaterRow.cloneNode(true);

                const selectElement = clonedRow.querySelector('select');
                const inputElement = clonedRow.querySelector('input');
                if (selectElement) {
                    selectElement.selectedIndex = 0;
                }
                if (inputElement) {
                    inputElement.value = '';
                }

                // Remove the cloned button from the cloned row
                const clonedButton = clonedRow.querySelector('#addLedgerButton');
                if (clonedButton) {
                    clonedButton.remove();
                }

                repeaterRow.parentNode.appendChild(clonedRow);
            }
        }

        function deleteRow(button) {
            const row = button.closest('.repeater-row');
            if (row && !row.isSameNode(document.querySelector('.repeater-row'))) {
                row.remove();
            }
        }
    </script>
    <script>
        // JavaScript to update the hidden input field when the dropdown selection changes
        $(document).ready(function() {
            function updateAccountType() {
                var selectedOption = $('#account option:selected'); // Use jQuery to get selected option
                var accountType = selectedOption.data('account-type'); // Use jQuery data() method
                $('#account_type').val(accountType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateAccountType();

            // Add an event listener to update the hidden input when the selection changes
            $('#account').change(updateAccountType);

            // EXPENSE TYPE

            function updateExpenseType() {
                var selectedOption = $('.expense option:selected'); // Use jQuery to get selected option
                var expenseType = selectedOption.data('expense-type'); // Use jQuery data() method
                $('.expense-type').val(expenseType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateExpenseType();

            // Add an event listener to update the hidden input when the selection changes
            $('.expense').change(updateExpenseType);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_purchase_invoice/edit.blade.php ENDPATH**/ ?>