@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Staff and Salesman master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="{{ url('crusher/master/staff_master/create') }}">
                                    <button class="btn btn-cust1 float-right" type="submit">Add
                                        Staff</button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->


                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Job Description</th>
                                        <th>First Name</th>
                                        <th>Last Name</th>
                                        <th>Email</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @forelse ($staffs as $staff)
                                        <tr>
                                            <td>{{ $staff->job_title }}</td>
                                            <td>{{ $staff->first_name }}</td>
                                            <td>{{ $staff->last_name }}</td>
                                            <td>{{ $staff->email }}</td>
                                            <td>
                                                <a
                                                    href="{{ route('crusher.staffs.show', ['staff' => $staff->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                                <a
                                                    href="{{ route('crusher.staffs.edit', ['staff' => $staff->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="{{ route('crusher.staffs.delete', ['staff' => $staff->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit" class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
