<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Journal Voucher</h6>
                        </div>
                    </div>

                    <!-- <div class="col-4"> -->
                    <form action="<?php echo e(route('crusher.journal_vouchers.store')); ?>" class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Journal Voucher</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        value="<?php echo e($newJVNo); ?>" name="invoice_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}" name="date"
                                        value="<?php echo e(date('Y-m-d')); ?>">
                                </div>
                            </div>
                        </div>


                        <div class="row">

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Account Name</th>
                                            <th>Narrations</th>
                                            <th>Debit/Credit</th>
                                            <th>Amount</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <tr>
                                            <div class="inner-repeater mb-12">
                                                <div data-repeater-list="inner-group" class="inner form-group">

                                                    <td>
                                                        <div class="form-group">
                                                            <select id="account" class="form-control "
                                                                name="account_id[]" onchange="openAccountModal(this)">
                                                                <option>Select Account</option>
                                                                <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($account->id); ?>"
                                                                        data-account-type="<?php echo e($account->table_name); ?>">
                                                                        <?php echo e($account->account_name); ?>

                                                                    </option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                        <input type="hidden" class="account_type" name="account_type[]"
                                                            id="account_type">

                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <textarea class="form-control" rows="1" type="text" placeholder="Narrations" id="example-textarea-input"
                                                                name="narration[]">
                                                        </textarea>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <select class="form-control " name="type[]">
                                                                <option>Select Debit/Credit</option>
                                                                <option value="debit">Debit</option>
                                                                <option value="credit">Credit</option>
                                                            </select>
                                                        </div>
                                                    </td>
                                                </div>
                                            </div>
                                            <td>
                                                <div class="form-group">
                                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="0.000"
                                                        id="example-password-input" name="amount[]">
                                                </div>
                                            </td>

                                            <td>
                                                <a href="" class="delete-row-btn"> <i
                                                        class="fas fa-trash-alt inner"></i></a>
                                            </td>


                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <button id="add-more-btn" class="btn btn-outline-primary">Add
                                    more</button>
                            </div>
                            <div class="col-md-4">
                                <!-- <h5>QTY Total: 0</h5> -->
                            </div>
                        </div>
                        <br>

                        <br>

                        <div class="row">
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Debit Amount:</label>
                                    <span id="total-debit">0.000
                                    </span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Credit Amount :</label>
                                    <span id="total-credit">0.000
                                    </span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Difference :</label>
                                    <span id="difference">0.000
                                    </span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">

                            </div>


                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Create
                            Journal Voucher</button>

                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <form id="buyer-form">
                <?php echo csrf_field(); ?>
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myModalLabel">Buyer Information :</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name :</label>
                                <input class="form-control" type="text" placeholder="Enter Name"
                                    id="example-password-input" name="name" id="name">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone # :</label>
                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                    id="example-password-input" name="phone" id="phone">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email :</label>
                                <input class="form-control" type="text" placeholder="Enter Email"
                                    id="example-password-input" name="email" id="email">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Vat Number :</label>
                                <input class="form-control" type="text" placeholder="Vat Number"
                                    id="example-password-input" name="vat_number" name="vat_number">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address :</label>
                                <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                    id="example-textarea-input" name="address" id="address">
                        </textarea>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="invoice_no" value="<?php echo e($newJVNo); ?>" id="invoice_no">
                        <input type="hidden" name="type" value="journal_voucher" id="type">
                        <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save</button>
                    </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

    <script>
        // BUYER MODAL WORK START

        // Function to open the modal based on selected value
        function openAccountModal(selectElement) {
            var selectedValue = selectElement.value;
            var selectedOption = selectElement.options[selectElement.selectedIndex];
            var accountType = selectedOption.getAttribute('data-account-type');

            // Check if the accountType is "App\\AdminOtherAccount"
            if (accountType === "App\\AdminOtherAccount") {
                // Get the invoice_no from the hidden input field
                var invoiceNo = $('#invoice_no').val();

                // Check if the buyer exists
                checkBuyerExists(invoiceNo);
            }
        }

        // Function to check if a buyer exists
        function checkBuyerExists(invoiceNo) {
            $.ajax({
                type: 'POST',
                url: '/crusher/transactions/buyers/exists', // Replace with your API endpoint URL
                data: {
                    invoice_no: invoiceNo,
                    type: $('#type').val()
                },
                success: function(response) {
                    if (response.status === true) {
                        // Buyer exists, show the modal with ID 'buyer_exists'
                        $('#buyer_exists').css('display', 'block');
                    } else {
                        $('#modal1').modal('show');
                        // Buyer does not exist, you can handle this case as needed
                        // For example, show a message or perform some other action
                    }
                },
                error: function() {
                    // Handle AJAX request error here
                    alert('Error: An error occurred while checking if the buyer exists.');
                }
            });
        }

        $(document).ready(function() {
            // Attach a submit event listener to the form
            $('#buyer-form').submit(function(event) {
                event.preventDefault(); // Prevent the default form submission

                // Serialize the form data
                var formData = $(this).serialize();

                // Send an AJAX POST request to the server
                $.ajax({
                    type: 'POST',
                    url: '/crusher/transactions/buyers', // Replace with your API endpoint URL
                    data: formData,
                    success: function(response) {
                        if (response.status === true) {
                            // Success: You can handle the success case here
                            // alert('Form submitted successfully!');
                            $('#modal1').modal('hide'); // Close the modal if needed
                        } else {
                            // Error: You can handle the error case here
                            alert('Error: ' + response.error);
                        }
                    },
                    error: function() {
                        // Handle AJAX request error here
                        alert('Error: An error occurred while submitting the form.');
                    }
                });
            });

            function callDeleteAPI(invoiceNo) {
                $.ajax({
                    type: 'POST',
                    url: '/crusher/transactions/buyers/delete', // Replace with your API endpoint URL
                    data: {
                        invoice_no: invoiceNo,
                        type: $('#type').val()

                    },
                    success: function(response) {
                        // Handle the success case if needed
                        console.log('Delete API called successfully.');
                    },
                    error: function() {
                        // Handle AJAX request error here
                        console.error('Error: An error occurred while calling the delete API.');
                    }
                });
            }

            // Get the invoice_no from the hidden input field
            var invoiceNo = $('#invoice_no').val();

            // Call the delete API on page reload
            callDeleteAPI(invoiceNo);
        });
    </script>

    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // $('#add-clone-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    <script>
        // Function to update calculation values
        function updateCalculation() {
            var totalDebit = 0;
            var totalCredit = 0;

            $('select[name="type[]"]').each(function() {
                var selectedType = $(this).val();
                var amount = parseFloat($(this).closest('tr').find('input[name="amount[]"]').val());

                if (!isNaN(amount)) {
                    if (selectedType === 'debit') {
                        totalDebit += amount;
                    } else if (selectedType === 'credit') {
                        totalCredit += amount;
                    }
                }
            });

            var difference = totalDebit - totalCredit;

            $('#total-debit').text(totalDebit.toFixed(3));
            $('#total-credit').text(totalCredit.toFixed(3));
            $('#difference').text(difference.toFixed(3));

            // Check if difference is not 0
            if (difference !== 0) {
                $('#difference-error').text('Difference is not 0. Form submission prevented.');
                $('#create-button').hide(); // Hide the button
            } else {
                $('#difference-error').text('');
                $('#create-button').show(); // Show the button
            }

            return difference === 0; // Return whether the form can be submitted
        }

        function attachListenersToNewRow(row) {
            row.find('select[name="type[]"], input[name="amount[]"]').on('change input', function() {
                updateCalculation();
            });

            row.find('select[name="account_id[]"]').on('change', function() {
                var selectedOption = $(this).find('option:selected');
                var accountType = selectedOption.data('account-type');
                var hiddenInput = $(this).closest('tr').find('.account_type');
                if (hiddenInput.length) {
                    hiddenInput.val(accountType);
                }
            });
        }

        $(document).ready(function() {
            // Attach event listener to the form submission
            $('form.outer-repeater').submit(function(event) {
                if (!updateCalculation()) {
                    alert("The difference between debit and credit amounts is not zero.");
                    event.preventDefault(); // Prevent form submission
                }
            });

            // Initial calculation on page load
            updateCalculation();

            // Event listeners for input changes in the initial row
            attachListenersToNewRow($('#table-body tr').first());

            // Event listeners for adding new rows
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);

                // Attach listeners to the new row
                attachListenersToNewRow(newRow);
            });

            // Event listener for delete button
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();

                // Update calculation after deleting a row
                updateCalculation();
            });
        });
    </script>

    
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_journal_voucher/create.blade.php ENDPATH**/ ?>